current_hardware = {
    "id": "6421b542612a306997156a2e",
    "name": "DCA-latest",
    "owner": {"id": "6421b4b0612a306997156a24", "userName": "integration-test"},
    "description": "",
    "hardwareTierName": "Small",
    "hardwareTierId": "small-k8s",
    "environmentName": "Domino Standard Environment Py3.9 R4.2",
    "allowedOperations": [
        "BrowseReadFiles",
        "ProjectSearchPreview",
        "ChangeProjectSettings",
        "ViewRuns",
        "Run",
        "Edit",
        "ViewWorkspaces",
        "EditTags",
        "RunLauncher",
        "UpdateProjectDescription",
    ],
    "visibility": "Private",
    "tags": [],
    "updatedAt": "2023-04-11T16:36:31.036Z",
    "numComments": 0,
    "runsCountByType": [{"runType": "App", "count": 0}, {"runType": "Batch", "count": 0}, {"runType": "Workspace", "count": 2}],
    "totalRunTime": "PT35928.239S",
    "stageId": "6421afa5b8d5f327790b74af",
    "status": {"status": "active", "isBlocked": False},
    "requestingUserRole": "Admin",
    "enabledGitRepositories": [],
}

available_hardware = [
    {
        "hardwareTier": {
            "id": "small-k8s",
            "name": "Small",
            "cores": 1,
            "coresLimit": 1,
            "memory": 4,
            "allowSharedMemoryToExceedDefault": False,
            "clusterType": "Kubernetes",
            "gpuConfiguration": {"numberOfGpus": 0, "gpuKey": "nvidia.com/gpu"},
            "runMemoryLimit": {"memoryLimitMegabytes": 4096},
            "isDefault": True,
            "centsPerMinute": 0,
            "isFree": False,
            "isAllowedDuringTrial": False,
            "isVisible": True,
            "isGlobal": True,
            "isArchived": False,
            "creationTime": "2023-03-27T15:00:53Z",
            "updateTime": "2023-03-27T15:01:58.712Z",
            "nodePool": "default",
            "computeClusterRestrictions": {"restrictToSpark": False, "restrictToRay": False, "restrictToDask": False, "restrictToMpi": False},
            "maxSimultaneousExecutions": None,
            "overprovisioning": {
                "instances": 0,
                "schedulingEnabled": False,
                "daysOfWeek": ["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY"],
                "timezone": "UTC",
                "fromTime": "08:00:00",
                "toTime": "19:00:00",
            },
            "podCustomization": {
                "additionalRequests": {},
                "additionalLimits": {},
                "additionalAnnotations": {},
                "additionalLabels": {},
                "hugepages": {},
                "capabilities": [],
            },
            "dataPlaneId": None,
            "isDataAnalystTier": False,
            "tags": None,
            "availabilityZones": ["us-west-2a", "us-west-2b"],
            "metadata": {},
        },
        "capacity": {
            "currentNumberOfExecutors": 0,
            "maximumNumberOfExecutors": 0,
            "numberOfCurrentlyExecutingRuns": 0,
            "numberOfQueuedRuns": 0,
            "maximumConcurrentRuns": 0,
            "availableCapacityWithoutLaunching": 0,
            "maximumAvailableCapacity": 0,
            "capacityLevel": "CAN_EXECUTE_WITH_CURRENT_INSTANCES",
        },
        "dataPlane": {
            "id": "000000000000000000000000",
            "name": "Local",
            "namespace": "domino-compute",
            "isLocal": True,
            "configuration": {},
            "status": {"state": "Healthy", "message": "", "version": "5.6.0-SNAPSHOT", "lastHeartbeatTimestamp": 1683035096616},
            "isHealthy": True,
            "isArchived": False,
            "isFileSyncDisabled": False,
        },
    },
    {
        "hardwareTier": {
            "id": "large-k8s",
            "name": "Large",
            "cores": 6,
            "coresLimit": 6,
            "memory": 27,
            "allowSharedMemoryToExceedDefault": False,
            "clusterType": "Kubernetes",
            "gpuConfiguration": {"numberOfGpus": 0, "gpuKey": "nvidia.com/gpu"},
            "runMemoryLimit": {"memoryLimitMegabytes": 27648},
            "isDefault": False,
            "centsPerMinute": 0,
            "isFree": False,
            "isAllowedDuringTrial": False,
            "isVisible": True,
            "isGlobal": True,
            "isArchived": False,
            "creationTime": "2023-03-27T15:00:53Z",
            "updateTime": "2023-03-27T15:01:58.826Z",
            "nodePool": "default",
            "computeClusterRestrictions": {"restrictToSpark": False, "restrictToRay": False, "restrictToDask": False, "restrictToMpi": False},
            "maxSimultaneousExecutions": None,
            "overprovisioning": {
                "instances": 0,
                "schedulingEnabled": False,
                "daysOfWeek": ["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY"],
                "timezone": "UTC",
                "fromTime": "08:00:00",
                "toTime": "19:00:00",
            },
            "podCustomization": {
                "additionalRequests": {},
                "additionalLimits": {},
                "additionalAnnotations": {},
                "additionalLabels": {},
                "hugepages": {},
                "capabilities": [],
            },
            "dataPlaneId": None,
            "isDataAnalystTier": False,
            "tags": None,
            "availabilityZones": ["us-west-2a", "us-west-2b"],
            "metadata": {},
        },
        "capacity": {
            "currentNumberOfExecutors": 0,
            "maximumNumberOfExecutors": 0,
            "numberOfCurrentlyExecutingRuns": 0,
            "numberOfQueuedRuns": 0,
            "maximumConcurrentRuns": 0,
            "availableCapacityWithoutLaunching": 0,
            "maximumAvailableCapacity": 0,
            "capacityLevel": "CAN_EXECUTE_WITH_CURRENT_INSTANCES",
        },
        "dataPlane": {
            "id": "000000000000000000000000",
            "name": "Local",
            "namespace": "domino-compute",
            "isLocal": True,
            "configuration": {},
            "status": {"state": "Healthy", "message": "", "version": "5.6.0-SNAPSHOT", "lastHeartbeatTimestamp": 1683035096616},
            "isHealthy": True,
            "isArchived": False,
            "isFileSyncDisabled": False,
        },
    },
    {
        "hardwareTier": {
            "id": "medium-k8s",
            "name": "Medium",
            "cores": 4,
            "coresLimit": 4,
            "memory": 15,
            "allowSharedMemoryToExceedDefault": False,
            "clusterType": "Kubernetes",
            "gpuConfiguration": {"numberOfGpus": 0, "gpuKey": "nvidia.com/gpu"},
            "runMemoryLimit": {"memoryLimitMegabytes": 15360},
            "isDefault": False,
            "centsPerMinute": 0,
            "isFree": False,
            "isAllowedDuringTrial": False,
            "isVisible": True,
            "isGlobal": True,
            "isArchived": False,
            "creationTime": "2023-03-27T15:00:53Z",
            "updateTime": "2023-03-27T15:01:58.772Z",
            "nodePool": "default",
            "computeClusterRestrictions": {"restrictToSpark": False, "restrictToRay": False, "restrictToDask": False, "restrictToMpi": False},
            "maxSimultaneousExecutions": None,
            "overprovisioning": {
                "instances": 0,
                "schedulingEnabled": False,
                "daysOfWeek": ["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY"],
                "timezone": "UTC",
                "fromTime": "08:00:00",
                "toTime": "19:00:00",
            },
            "podCustomization": {
                "additionalRequests": {},
                "additionalLimits": {},
                "additionalAnnotations": {},
                "additionalLabels": {},
                "hugepages": {},
                "capabilities": [],
            },
            "dataPlaneId": None,
            "isDataAnalystTier": False,
            "tags": None,
            "availabilityZones": ["us-west-2a", "us-west-2b"],
            "metadata": {},
        },
        "capacity": {
            "currentNumberOfExecutors": 0,
            "maximumNumberOfExecutors": 0,
            "numberOfCurrentlyExecutingRuns": 0,
            "numberOfQueuedRuns": 0,
            "maximumConcurrentRuns": 0,
            "availableCapacityWithoutLaunching": 0,
            "maximumAvailableCapacity": 0,
            "capacityLevel": "CAN_EXECUTE_WITH_CURRENT_INSTANCES",
        },
        "dataPlane": {
            "id": "000000000000000000000000",
            "name": "Local",
            "namespace": "domino-compute",
            "isLocal": True,
            "configuration": {},
            "status": {"state": "Healthy", "message": "", "version": "5.6.0-SNAPSHOT", "lastHeartbeatTimestamp": 1683035096616},
            "isHealthy": True,
            "isArchived": False,
            "isFileSyncDisabled": False,
        },
    },
    {
        "hardwareTier": {
            "id": "gpu-k8s",
            "name": "GPU",
            "cores": 6,
            "coresLimit": 6,
            "memory": 45,
            "allowSharedMemoryToExceedDefault": False,
            "clusterType": "Kubernetes",
            "gpuConfiguration": {"numberOfGpus": 1, "gpuKey": "nvidia.com/gpu"},
            "runMemoryLimit": {"memoryLimitMegabytes": 46080},
            "isDefault": False,
            "centsPerMinute": 0,
            "isFree": False,
            "isAllowedDuringTrial": False,
            "isVisible": True,
            "isGlobal": True,
            "isArchived": False,
            "creationTime": "2023-03-27T15:00:53Z",
            "updateTime": "2023-03-27T15:01:58.844Z",
            "nodePool": "default-gpu",
            "computeClusterRestrictions": {"restrictToSpark": False, "restrictToRay": False, "restrictToDask": False, "restrictToMpi": False},
            "maxSimultaneousExecutions": None,
            "overprovisioning": {
                "instances": 0,
                "schedulingEnabled": False,
                "daysOfWeek": ["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY"],
                "timezone": "UTC",
                "fromTime": "08:00:00",
                "toTime": "19:00:00",
            },
            "podCustomization": {
                "additionalRequests": {},
                "additionalLimits": {},
                "additionalAnnotations": {},
                "additionalLabels": {},
                "hugepages": {},
                "capabilities": [],
            },
            "dataPlaneId": None,
            "isDataAnalystTier": False,
            "tags": None,
            "availabilityZones": ["us-west-2a", "us-west-2b"],
            "metadata": {},
        },
        "capacity": {
            "currentNumberOfExecutors": 0,
            "maximumNumberOfExecutors": 0,
            "numberOfCurrentlyExecutingRuns": 0,
            "numberOfQueuedRuns": 0,
            "maximumConcurrentRuns": 0,
            "availableCapacityWithoutLaunching": 0,
            "maximumAvailableCapacity": 0,
            "capacityLevel": "REQUIRES_LAUNCHING_INSTANCE",
        },
        "dataPlane": {
            "id": "000000000000000000000000",
            "name": "Local",
            "namespace": "domino-compute",
            "isLocal": True,
            "configuration": {},
            "status": {"state": "Healthy", "message": "", "version": "5.6.0-SNAPSHOT", "lastHeartbeatTimestamp": 1683035096616},
            "isHealthy": True,
            "isArchived": False,
            "isFileSyncDisabled": False,
        },
    },
    {
        "hardwareTier": {
            "id": "gpu-small-k8s",
            "name": "GPU (small)",
            "cores": 2,
            "coresLimit": 2,
            "memory": 10,
            "allowSharedMemoryToExceedDefault": False,
            "clusterType": "Kubernetes",
            "gpuConfiguration": {"numberOfGpus": 1, "gpuKey": "nvidia.com/gpu"},
            "runMemoryLimit": {"memoryLimitMegabytes": 10240},
            "isDefault": False,
            "centsPerMinute": 0,
            "isFree": False,
            "isAllowedDuringTrial": False,
            "isVisible": True,
            "isGlobal": True,
            "isArchived": False,
            "creationTime": "2023-03-27T15:00:54Z",
            "updateTime": "2023-03-27T15:01:58.753Z",
            "nodePool": "default-gpu",
            "computeClusterRestrictions": {"restrictToSpark": False, "restrictToRay": False, "restrictToDask": False, "restrictToMpi": False},
            "maxSimultaneousExecutions": None,
            "overprovisioning": {
                "instances": 0,
                "schedulingEnabled": False,
                "daysOfWeek": ["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY"],
                "timezone": "UTC",
                "fromTime": "08:00:00",
                "toTime": "19:00:00",
            },
            "podCustomization": {
                "additionalRequests": {},
                "additionalLimits": {},
                "additionalAnnotations": {},
                "additionalLabels": {},
                "hugepages": {},
                "capabilities": [],
            },
            "dataPlaneId": None,
            "isDataAnalystTier": False,
            "tags": None,
            "availabilityZones": ["us-west-2a", "us-west-2b"],
            "metadata": {},
        },
        "capacity": {
            "currentNumberOfExecutors": 0,
            "maximumNumberOfExecutors": 0,
            "numberOfCurrentlyExecutingRuns": 0,
            "numberOfQueuedRuns": 0,
            "maximumConcurrentRuns": 0,
            "availableCapacityWithoutLaunching": 0,
            "maximumAvailableCapacity": 0,
            "capacityLevel": "REQUIRES_LAUNCHING_INSTANCE",
        },
        "dataPlane": {
            "id": "000000000000000000000000",
            "name": "Local",
            "namespace": "domino-compute",
            "isLocal": True,
            "configuration": {},
            "status": {"state": "Healthy", "message": "", "version": "5.6.0-SNAPSHOT", "lastHeartbeatTimestamp": 1683035096616},
            "isHealthy": True,
            "isArchived": False,
            "isFileSyncDisabled": False,
        },
    },
]
